小编典典

在运行时获取 Java 版本

all

我需要解决 JDK 1.5 中的一个 Java 错误,该错误已在 1.6 中修复。我正在使用以下条件:

if (System.getProperty("java.version").startsWith("1.5.")) {
    ...
} else {
    ...
}

这适用于其他 JVM 吗?有没有更好的方法来检查这个?


阅读 223

收藏
2022-09-02

共1个答案

小编典典

这些文章似乎建议检查1.51.6前缀应该起作用,因为它遵循正确的版本命名约定。

Sun 技术文章

2022-09-02